#
# Conditional build:
%bcond_without	static_libs	# static libraries
#
Summary:	PlutoVG - standalone 2D vector graphics library in C
Summary(pl.UTF-8):	PlutoVG - samodzielna biblioteka grafiki wektorowej 2D w C
Name:		plutovg
Version:	1.0.0
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/sammycage/plutovg/releases
Source0:	https://github.com/sammycage/plutovg/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	cba06b87df614e0dcdc513417853b08b
URL:		https://github.com/sammycage/plutovg
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PlutoVG is a standalone 2D vector graphics library in C.

Features:
- Path Filling, Stroking and Dashing
- Solid, Gradient and Texture Paints
- Fonts and Texts
- Clipping and Compositing
- Transformations
- Images

%description -l pl.UTF-8
PlutoVG to samodzielna biblioteka grafiki wektorowej 2D w C.

Możliwości:
- wypełnianie, obramianie i kreskowanie ścieżek
- wypełnienia pełne, gradientowe i teksturowe
- fonty i teksty
- przycinanie i składanie
- przekształcenia
- obrazy

%package devel
Summary:	Header files for PlutoVG library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki PlutoVG
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for PlutoVG library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki PlutoVG.

%package static
Summary:	Static PlutoVG library
Summary(pl.UTF-8):	Statyczna biblioteka PlutoVG
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static PlutoVG library.

%description static -l pl.UTF-8
Statyczna biblioteka PlutoVG.

%prep
%setup -q

%build
%meson \
	%{!?with_static_libs:--default-library=shared} \
	-Dexamples=enabled \
	-Dtests=disabled

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_libdir}/libplutovg.so.*.*.*
%ghost %{_libdir}/libplutovg.so.1

%files devel
%defattr(644,root,root,755)
%{_libdir}/libplutovg.so
%{_includedir}/plutovg
%{_pkgconfigdir}/plutovg.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libplutovg.a
%endif
%changelog
* Wed Mar 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/plutovg.git;a=log;h=master

* Wed Mar 19 2025 Jakub Bogusz <qboosh@pld-linux.org> bd907e2
- new

